Index: .settings/org.apache.ivyde.eclipse.prefs
===================================================================
--- .settings/org.apache.ivyde.eclipse.prefs	(revision 0)
+++ .settings/org.apache.ivyde.eclipse.prefs	(revision 0)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+org.apache.ivyde.eclipse.standaloneretrieve=<?xml version\="1.0" encoding\="UTF-8" standalone\="no"?><setuplist><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup><setup name\="dependencies" resolveInWorkspace\="false"><ivyxml path\="dev/ivy-dev.xml"/><retrieve confs\="resources" pattern\="webapp/WEB-INF/lib/[artifact]-[revision].[ext]" sync\="true" types\="jar"/></setup></setuplist>
Index: main/plugin-projects/i18n/messages_en.xml
===================================================================
--- main/plugin-projects/i18n/messages_en.xml	(revision 34555)
+++ main/plugin-projects/i18n/messages_en.xml	(working copy)
@@ -94,13 +94,19 @@
 	<message key="PROJECT_MAIL_NOTIFICATION_BODY_COLLECTION_COPY">This is an automated email.&#13;&#13;You are receiving this email because the directory '{4}' ({8}) has been copied to the directory {6} by user {2} ({3}).&#13;&#13;To go to the project space, click on the following link or copy/paste the following url to your browser: {1}.</message>
   
     <message key="PROJECT_MAIL_NOTIFICATION_SUBJECT_CALENDAR_ADDEVENT">[Project space {0}] Event added {1} to calendar {2}</message>
-    <message key="PROJECT_MAIL_NOTIFICATION_BODY_CALENDAR_ADDEVENT">This is an automated email.&#13;&#13;You are receiving this email because a new event named '{1}' was added to the calendar '{2}' in the project space {0} by user {3} ({4}).&#13;&#13;To go to the calendar, click on the following link or copy/paste the following url to your browser: {5}.&#13;&#13;To go to the project space, click on the following link or copy/paste the following url to your browser: {6}.</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_BODY_CALENDAR_ADDEVENT">This is an automated email.&#13;&#13;You are receiving this email because a new event named '{1}' {7} was added to the calendar '{2}' in the project space {0} by user {3} ({4}).&#13;&#13;To go to the calendar, click on the following link or copy/paste the following url to your browser: {5}.&#13;&#13;To go to the project space, click on the following link or copy/paste the following url to your browser: {6}.</message>
     
-    <message key="PROJECT_MAIL_NOTIFICATION_SUBJECT_CALENDAR_EDITEVENT">[Project space {0}] Mise à jour de l'événement {1} du calendrier {2}</message>
-    <message key="PROJECT_MAIL_NOTIFICATION_BODY_CALENDAR_EDITEVENT">Ceci est un message automatique.&#13;&#13;Vous recevez cet email car l'événement '{1}' du calendrier '{2}' a été mis à jour dans l'espace projet {0} par l'utilisateur {3} ({4})&#13;&#13;To go to the calendar, click on the following link or copy/paste the following url to your browser: {5}.&#13;&#13;To go to the project space, click on the following link or copy/paste the following url to your browser:  {6}.</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_SUBJECT_CALENDAR_EDITEVENT">[Project space {0}] Update of the event {1} from the calendar {2}</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_BODY_CALENDAR_EDITEVENT">This is an automated email.&#13;&#13;You are receiving this email because the event named '{1}' {7} has been updated from the calendar '{2}' in the project space {0} by user {3} ({4})&#13;&#13;To go to the calendar, click on the following link or copy/paste the following url to your browser: {5}.&#13;&#13;To go to the project space, click on the following link or copy/paste the following url to your browser:  {6}.</message>
   
     <message key="PROJECT_MAIL_NOTIFICATION_SUBJECT_POST_CREATE">[Project space {0}] New post in '{1}'</message>
     <message key="PROJECT_MAIL_NOTIFICATION_BODY_POST_CREATE">This is an automated email.&#13;&#13;You are receiving this email because user {2} ({3}) added a new post in thread '{4}', in the project space {0}.&#13;&#13;To go to the thread, click on the following link or copy/paste the following url to your browser: {1}</message>
 
+    <message key="PROJECT_MAIL_NOTIFICATION_MAIL_DATE_SAME_DAY">the {0}</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_MAIL_DATE_SAME_DAY_HOUR">the {0} from {1}h to {2}h</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_MAIL_DATE">from {0} to {1}</message>
+
+    <message key="PROJECT_MAIL_NOTIFICATION_MAIL_FORMAT">MM/dd/yyyy</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_MAIL_HOUR_FORMAT">MM/dd/yyyy 'at' HH'h'mm</message>
 	<message key="PROJECT_ROOT_NODE_ERROR">An error occurred</message>
 </catalogue>
\ No newline at end of file
Index: main/plugin-projects/i18n/messages_fr.xml
===================================================================
--- main/plugin-projects/i18n/messages_fr.xml	(revision 34555)
+++ main/plugin-projects/i18n/messages_fr.xml	(working copy)
@@ -94,13 +94,19 @@
 	<message key="PROJECT_MAIL_NOTIFICATION_BODY_COLLECTION_COPY">Ceci est un message automatique.&#13;&#13;Vous recevez cet email car le répertoire '{4}' ({8}) a été copié dans le répertoire {6} par l'utilisateur {2} ({3}).&#13;&#13;Pour vous rendre sur l'espace projet, cliquez sur le lien ci-après ou copiez/collez l'url dans votre navigateur : {1}.</message>
   
     <message key="PROJECT_MAIL_NOTIFICATION_SUBJECT_CALENDAR_ADDEVENT">[Espace projet {0}] Ajout de l'événement "{1}" au calendrier {2}</message>
-    <message key="PROJECT_MAIL_NOTIFICATION_BODY_CALENDAR_ADDEVENT">Ceci est un message automatique.&#13;&#13;Vous recevez cet email car un nouvel événement intitulé "{1}" a été ajouté au calendrier "{2}" dans l'espace projet {0} par l'utilisateur {3} ({4}).&#13;&#13;Pour vous rendre sur le calendrier, cliquez sur le lien ci-après ou copiez/collez l'url dans votre navigateur : {5}.&#13;&#13;Pour vous rendre sur l'espace projet, cliquez sur le lien ci-après ou copiez/collez l'url dans votre navigateur : {6}.</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_BODY_CALENDAR_ADDEVENT">Ceci est un message automatique.&#13;&#13;Vous recevez cet email car un nouvel événement intitulé "{1}" {7} a été ajouté au calendrier "{2}" dans l'espace projet {0} par l'utilisateur {3} ({4}).&#13;&#13;Pour vous rendre sur le calendrier, cliquez sur le lien ci-après ou copiez/collez l'url dans votre navigateur : {5}.&#13;&#13;Pour vous rendre sur l'espace projet, cliquez sur le lien ci-après ou copiez/collez l'url dans votre navigateur : {6}.</message>
     
     <message key="PROJECT_MAIL_NOTIFICATION_SUBJECT_CALENDAR_EDITEVENT">[Espace projet {0}] Mise à jour de l'événement "{1}" du calendrier {2}</message>
-    <message key="PROJECT_MAIL_NOTIFICATION_BODY_CALENDAR_EDITEVENT">Ceci est un message automatique.&#13;&#13;Vous recevez cet email car l'événement "{1}" du calendrier "{2}" a été mis à jour dans l'espace projet {0} par l'utilisateur {3} ({4}).&#13;&#13;Pour vous rendre sur le calendrier, cliquez sur le lien ci-après ou copiez/collez l'url dans votre navigateur : {5}.&#13;&#13;Pour vous rendre sur l'espace projet, cliquez sur le lien ci-après ou copiez/collez l'url dans votre navigateur : {5}.</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_BODY_CALENDAR_EDITEVENT">Ceci est un message automatique.&#13;&#13;Vous recevez cet email car l'événement "{1}" {7} du calendrier "{2}" a été mis à jour dans l'espace projet {0} par l'utilisateur {3} ({4}).&#13;&#13;Pour vous rendre sur le calendrier, cliquez sur le lien ci-après ou copiez/collez l'url dans votre navigateur : {5}.&#13;&#13;Pour vous rendre sur l'espace projet, cliquez sur le lien ci-après ou copiez/collez l'url dans votre navigateur : {6}.</message>
   
     <message key="PROJECT_MAIL_NOTIFICATION_SUBJECT_POST_CREATE">[Espace projet {0}] Nouveau message dans "{1}"</message>
     <message key="PROJECT_MAIL_NOTIFICATION_BODY_POST_CREATE">Ceci est un message automatique.&#13;&#13;Vous recevez cet email car l'utilisateur {2} ({3}) a ajouté un nouveau message au fil de discussion "{4}", de l'espace projet {0}.&#13;&#13;Pour vous rendre sur le fil de discussion, cliquez sur le lien ci-après ou copiez/collez l'url dans votre navigateur : {1}</message>
 
-  	<message key="PROJECT_ROOT_NODE_ERROR">Une erreur est survenue</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_MAIL_DATE_SAME_DAY">le {0}</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_MAIL_DATE_SAME_DAY_HOUR">le {0} de {1}h à {2}h</message>
+    <message key="PROJECT_MAIL_NOTIFICATION_MAIL_DATE">du {0} au {1}</message>
+
+    <message key="PROJECT_MAIL_NOTIFICATION_MAIL_FORMAT">dd/MM/yyyy</message>
+  	<message key="PROJECT_MAIL_NOTIFICATION_MAIL_HOUR_FORMAT">dd/MM/yyyy 'à' HH'h'mm</message>
+    <message key="PROJECT_ROOT_NODE_ERROR">Une erreur est survenue</message>
 </catalogue>
\ No newline at end of file
Index: main/plugin-projects/src/org/ametys/explorer/projects/workflow/SendMailFunction.java
===================================================================
--- main/plugin-projects/src/org/ametys/explorer/projects/workflow/SendMailFunction.java	(revision 34555)
+++ main/plugin-projects/src/org/ametys/explorer/projects/workflow/SendMailFunction.java	(working copy)
@@ -15,7 +15,9 @@
  */
 package org.ametys.explorer.projects.workflow;
 
+import java.text.SimpleDateFormat;
 import java.util.ArrayList;
+import java.util.Date;
 import java.util.HashSet;
 import java.util.Iterator;
 import java.util.List;
@@ -268,6 +270,7 @@
      */
     protected List<String> getBodyI18nParams (User user, CalendarEvent event, String projectName)
     {
+        String lang = null; // FIXME Use user preference language
         List<String> params = new ArrayList<String>();
         
         params.add(projectName); // {0}
@@ -280,11 +283,78 @@
         params.add(user.getFullName()); // {3}
         params.add(user.getName()); // {4}
         
+        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
+        Date startDate = event.getStartDate();
+        String dateString = format.format(startDate);
+        
         String requestUri = _getRequestURI(getRequest());
-        params.add(requestUri + "/" + projectName + "/index.html#" + calendar.getId()); // {5}
+        params.add(requestUri + "/" + projectName + "/index.html?date=" + dateString + "#" + calendar.getId()); // {5}
         
         params.add(requestUri + "/" + projectName + "/index.html"); // {6} 
         
+        Date endDate = event.getEndDate();
+        String dateAsString = null;
+        if (event.getFullDay())
+        {
+            if (startDate.equals(endDate))
+            {
+                I18nizableText dateFormatI18n = new I18nizableText("plugin.projects", "PROJECT_MAIL_NOTIFICATION_MAIL_FORMAT");
+                String dateFormat = _i18nUtils.translate(dateFormatI18n, lang);
+                SimpleDateFormat formatToday = new SimpleDateFormat(dateFormat);
+                
+                List<String> paramsDate = new ArrayList<String>();
+                paramsDate.add(formatToday.format(startDate));
+                
+                I18nizableText dateI18n = new I18nizableText("plugin.projects", "PROJECT_MAIL_NOTIFICATION_MAIL_DATE_SAME_DAY", paramsDate);
+                dateAsString = _i18nUtils.translate(dateI18n, lang);
+            }
+            else
+            {
+                I18nizableText dateFormatI18n = new I18nizableText("plugin.projects", "PROJECT_MAIL_NOTIFICATION_MAIL_FORMAT");
+                String dateFormat = _i18nUtils.translate(dateFormatI18n, lang);
+                SimpleDateFormat formatToday = new SimpleDateFormat(dateFormat);
+                
+                List<String> paramsDate = new ArrayList<String>();
+                paramsDate.add(formatToday.format(startDate));
+                paramsDate.add(formatToday.format(endDate));
+                
+                I18nizableText dateI18n = new I18nizableText("plugin.projects", "PROJECT_MAIL_NOTIFICATION_MAIL_DATE", paramsDate);
+                dateAsString = _i18nUtils.translate(dateI18n, lang);
+            }
+        }
+        else
+        {
+            if (format.format(startDate).equals(format.format(endDate)))
+            {
+                I18nizableText dateFormatI18n = new I18nizableText("plugin.projects", "PROJECT_MAIL_NOTIFICATION_MAIL_FORMAT");
+                String dateFormat = _i18nUtils.translate(dateFormatI18n, lang);
+                SimpleDateFormat formatToday = new SimpleDateFormat(dateFormat);
+                
+                List<String> paramsDate = new ArrayList<String>();
+                paramsDate.add(formatToday.format(startDate));
+                paramsDate.add(String.valueOf(startDate.getHours()));
+                paramsDate.add(String.valueOf(endDate.getHours()));
+                
+                I18nizableText dateI18n = new I18nizableText("plugin.projects", "PROJECT_MAIL_NOTIFICATION_MAIL_DATE_SAME_DAY_HOUR", paramsDate);
+                dateAsString = _i18nUtils.translate(dateI18n, lang);
+            }
+            else
+            {
+                I18nizableText dateFormatI18n = new I18nizableText("plugin.projects", "PROJECT_MAIL_NOTIFICATION_MAIL_HOUR_FORMAT");
+                String dateFormat = _i18nUtils.translate(dateFormatI18n, lang);
+                SimpleDateFormat formatToday = new SimpleDateFormat(dateFormat);
+                
+                List<String> paramsDate = new ArrayList<String>();
+                paramsDate.add(formatToday.format(startDate));
+                paramsDate.add(formatToday.format(endDate));
+                
+                I18nizableText dateI18n = new I18nizableText("plugin.projects", "PROJECT_MAIL_NOTIFICATION_MAIL_DATE", paramsDate);
+                dateAsString = _i18nUtils.translate(dateI18n, lang);
+            }
+        }
+        
+        params.add(dateAsString); // {7}
+        
         return params;
     }
     