Index: main/plugin-newsletter/i18n/messages_en.xml
===================================================================
--- main/plugin-newsletter/i18n/messages_en.xml	(revision 34334)
+++ main/plugin-newsletter/i18n/messages_en.xml	(working copy)
@@ -47,24 +47,31 @@
 	<!-- +
 		 | CONFIGURATION
 		 + -->
-	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_SENDER">Sender</message>
-	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_SENDER_DESCRIPTION">Sender email address. &lt;br/&gt;The &lt;b&gt;Ametys newsletter &amp;lt;newsletter@ametys.org&amp;gt;&lt;/b&gt; form can be used.</message>
 	<message key="PLUGINS_NEWSLETTER_NEWSLETTER_CONFIG_CATEGORY">Newsletter</message>
+	
 	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_GROUP">Mail</message>
+	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_SENDER">Sender</message>
+	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_SENDER_DESCRIPTION">Sender email address. &lt;br/&gt;The &lt;b&gt;Ametys newsletter &amp;lt;newsletter@ametys.org&amp;gt;&lt;/b&gt; form can be used.</message>
+    <message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_INCLUDE_IMAGES">Include images</message>
+    <message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_INCLUDE_IMAGES_DESCRIPTION">Check this box if you want to send the body of the images of the newletters in the emails, as opposed to links. It can prove useful when dealing with remote accesses in which case the recipient does not always have the rights to see the images. However, bear in mind that the size of the sent emails is very likely to increase with that option.</message>
+
 	<message key="PLUGINS_NEWSLETTER_SUBSCRIPTION_CONFIG_GROUP">Subscriptions</message>
 	<message key="PLUGINS_NEWSLETTER_SUBSCRIPTION_DESCENDING_LABEL">Automatic subscription to sub-categories</message>
 	<message key="PLUGINS_NEWSLETTER_SUBSCRIPTION_DESCENDING_DESCRIPTION">Check this box for a subscriber to a category is automatically subscribed to its sub-categories.</message>
 	<message key="PLUGINS_NEWSLETTER_SUBSCRIPTION_ASCENDING_LABEL">Automatic subscription to parent categories</message>
 	<message key="PLUGINS_NEWSLETTER_SUBSCRIPTION_ASCENDING_DESCRIPTION">Check this box for a subscriber to a category is automatically subscribed to the parent categories.</message>
-    <message key="PLUGINS_NEWSLETTER_USER_PREFS_LABEL">Subscribe to "{category}"</message>
-    <message key="PLUGINS_NEWSLETTER_USER_PREFS_GROUP">Subscription to newsletters</message>
+
     <message key="PLUGINS_NEWSLETTER_AUTOMATIC_SCHEDULING_CONFIG_GROUP">Automatic newsletters scheduling</message>
     <message key="PLUGINS_NEWSLETTER_AUTOMATIC_CONFIG_SCHEDULER_HOUR_LABEL">Time of creating and sending</message>
-    <message key="PLUGINS_NEWSLETTER_AUTOMATIC_CONFIG_SCHEDULER_HOUR_DESC">The hour at which the automatic newsletter will be created and sent to subcribers. The process is resource-consuming, it is advised to launch it at night.</message>
+    <message key="PLUGINS_NEWSLETTER_AUTOMATIC_CONFIG_SCHEDULER_HOUR_DESC">The hour at which the automatic newsletter will be created and sent to subscribers. The process is resource-consuming, it is advised to launch it at night.</message>
+    
     <message key="PLUGINS_NEWSLETTER_TRACKING_CONFIG_GROUP">Tracking</message>
     <message key="PLUGINS_NEWSLETTER_ENABLE_TRACKING_LABEL">Track newsletter events</message>
     <message key="PLUGINS_NEWSLETTER_ENABLE_TRACKING_DESCRIPTION">Enable newsletter events tracking by Google Analytics</message>
 	
+    <message key="PLUGINS_NEWSLETTER_USER_PREFS_LABEL">Subscribe to "{category}"</message>
+    <message key="PLUGINS_NEWSLETTER_USER_PREFS_GROUP">Subscription to newsletters</message>
+	
 	<!-- +
 		 | CONTENT TYPE
 		 + -->
Index: main/plugin-newsletter/i18n/messages_fr.xml
===================================================================
--- main/plugin-newsletter/i18n/messages_fr.xml	(revision 34334)
+++ main/plugin-newsletter/i18n/messages_fr.xml	(working copy)
@@ -47,24 +47,31 @@
 	<!-- +
 		 | CONFIGURATION
 		 + -->
-	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_SENDER">Expéditeur</message>
-	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_SENDER_DESCRIPTION">Adresse e-mail de l'expéditeur.&lt;br/&gt;La forme &lt;b&gt;Newsletter Ametys &amp;lt;newsletter@ametys.org&amp;gt;&lt;/b&gt; peut être utilisée.</message>
 	<message key="PLUGINS_NEWSLETTER_NEWSLETTER_CONFIG_CATEGORY">Lettre d'information</message>
 	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_GROUP">Email</message>
+
+	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_SENDER">Expéditeur</message>
+	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_SENDER_DESCRIPTION">Adresse e-mail de l'expéditeur.&lt;br/&gt;La forme &lt;b&gt;Newsletter Ametys &amp;lt;newsletter@ametys.org&amp;gt;&lt;/b&gt; peut être utilisée.</message>
+	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_INCLUDE_IMAGES">Inclure les images</message>
+	<message key="PLUGINS_NEWSLETTER_MAIL_CONFIG_INCLUDE_IMAGES_DESCRIPTION">Cochez cette case si vous souhaitez envoyer directement le corps des images des newsletters dans vos mails, plutôt que des liens. Ceci est utile notamment dans le cas des accès distants où le destinataire n'a pas nécessairement les droits suffisants pour voir les images. Attention néanmoins à la taille des messages envoyés, cette option risquant de sensiblement l'augmenter.</message>
+
 	<message key="PLUGINS_NEWSLETTER_SUBSCRIPTION_CONFIG_GROUP">Gestion des abonnements</message>
 	<message key="PLUGINS_NEWSLETTER_SUBSCRIPTION_DESCENDING_LABEL">Abonnement automatique aux sous catégories</message>
 	<message key="PLUGINS_NEWSLETTER_SUBSCRIPTION_DESCENDING_DESCRIPTION">Cochez cette case pour qu'un abonné à une catégorie soit automatiquement abonné à ses sous-catégories.</message>
 	<message key="PLUGINS_NEWSLETTER_SUBSCRIPTION_ASCENDING_LABEL">Abonnement automatique aux catégories parentes</message>
 	<message key="PLUGINS_NEWSLETTER_SUBSCRIPTION_ASCENDING_DESCRIPTION">Cochez cette case pour qu'un abonné à une catégorie soit automatiquement abonné aux catégories parentes.</message>
-    <message key="PLUGINS_NEWSLETTER_USER_PREFS_LABEL">Abonnement à "{category}"</message>
-    <message key="PLUGINS_NEWSLETTER_USER_PREFS_GROUP">Abonnement aux lettres d'information</message>
+
     <message key="PLUGINS_NEWSLETTER_AUTOMATIC_SCHEDULING_CONFIG_GROUP">Programmation des lettres d'information automatiques</message>
     <message key="PLUGINS_NEWSLETTER_AUTOMATIC_CONFIG_SCHEDULER_HOUR_LABEL">Heure de création et d'envoi</message>
     <message key="PLUGINS_NEWSLETTER_AUTOMATIC_CONFIG_SCHEDULER_HOUR_DESC">Heure à laquelle les lettres d'information automatiques seront créées et envoyées aux utilisateurs inscrits. Il est conseillé de lancer ce processus la nuit.</message>
+    
     <message key="PLUGINS_NEWSLETTER_TRACKING_CONFIG_GROUP">Suivi</message>
     <message key="PLUGINS_NEWSLETTER_ENABLE_TRACKING_LABEL">Suivi des lettres d'information</message>
     <message key="PLUGINS_NEWSLETTER_ENABLE_TRACKING_DESCRIPTION">Activer le suivi par Google Analytics des lettres d'information</message>
     
+    <message key="PLUGINS_NEWSLETTER_USER_PREFS_LABEL">Abonnement à "{category}"</message>
+    <message key="PLUGINS_NEWSLETTER_USER_PREFS_GROUP">Abonnement aux lettres d'information</message>
+	
 	<!-- +
 		 | CONTENT TYPE
 		 + -->
Index: main/plugin-newsletter/plugin.xml
===================================================================
--- main/plugin-newsletter/plugin.xml	(revision 34334)
+++ main/plugin-newsletter/plugin.xml	(working copy)
@@ -134,6 +134,13 @@
                     <category i18n="true">PLUGINS_NEWSLETTER_NEWSLETTER_CONFIG_CATEGORY</category>
                     <group i18n="true">PLUGINS_NEWSLETTER_MAIL_CONFIG_GROUP</group>
                 </param>
+                <param id="newsletter-mail-include-images" type="boolean">
+                    <label i18n="true">PLUGINS_NEWSLETTER_MAIL_CONFIG_INCLUDE_IMAGES</label>
+                    <description i18n="true">PLUGINS_NEWSLETTER_MAIL_CONFIG_INCLUDE_IMAGES_DESCRIPTION</description>
+                    <default-value>false</default-value>
+                    <category i18n="true">PLUGINS_NEWSLETTER_NEWSLETTER_CONFIG_CATEGORY</category>
+                    <group i18n="true">PLUGINS_NEWSLETTER_MAIL_CONFIG_GROUP</group>    
+                </param>
                 <param id="newsletter-subscription-descending" type="boolean">
                     <label i18n="true">PLUGINS_NEWSLETTER_SUBSCRIPTION_DESCENDING_LABEL</label>
                     <description i18n="true">PLUGINS_NEWSLETTER_SUBSCRIPTION_DESCENDING_DESCRIPTION</description>
Index: main/plugin-newsletter/sitemap.xmap
===================================================================
--- main/plugin-newsletter/sitemap.xmap	(revision 36863)
+++ main/plugin-newsletter/sitemap.xmap	(working copy)
@@ -157,6 +157,7 @@
 						<map:parameter name="contextPath" value="{uri-prefix:uri-prefix}"/>
 						<map:parameter name="pluginName" value="{request-attr:pluginName}"/>
 						<map:parameter name="siteName" value="{request-attr:site}"/>
+	                    <map:parameter name="mail" value="true"/>
 	                    <map:parameter name="prefix" value="{site-configuration:{request-param:site}:url}"/>
 	                    <map:parameter name="lang" value="{contentLanguage}"/>
 	                    <map:parameter name="skin" value="{request-attr:skin}"/>
Index: main/plugin-newsletter/src/org/ametys/plugins/newsletter/workflow/SendNewsletterFunction.java
===================================================================
--- main/plugin-newsletter/src/org/ametys/plugins/newsletter/workflow/SendNewsletterFunction.java	(revision 34334)
+++ main/plugin-newsletter/src/org/ametys/plugins/newsletter/workflow/SendNewsletterFunction.java	(working copy)
@@ -1,5 +1,5 @@
 /*
- *  Copyright 2010 Anyware Services
+ *  Copyright 2015 Anyware Services
  *
  *  Licensed under the Apache License, Version 2.0 (the "License");
  *  you may not use this file except in compliance with the License.
@@ -213,6 +213,14 @@
     protected String _getBodyAsHtml (DefaultWebContent content) throws IOException
     {
         SitemapSource src = null;
+        Request request = getRequest();
+        
+        boolean includeImages = _siteConfiguration.getValueAsBoolean(content.getSiteName(), "newsletter-mail-include-images");
+        
+        if (includeImages)
+        {
+            request.setAttribute("forceBase64Encoding", true);
+        }
         
         RenderingContext renderingContext = _renderingContextHandler.getRenderingContext();
         _renderingContextHandler.setRenderingContext(RenderingContext.FRONT);
@@ -228,6 +236,7 @@
         {
             _sourceResolver.release(src);
             _renderingContextHandler.setRenderingContext(renderingContext);
+            request.removeAttribute("forceBase64Encoding");
         }
     }
     